Shipped items lot data
Overview
To get the details of the lots sent in specific shipments, query this endpoint with the list of shipment ids. The response will include different pick details for the shipments
Method access
GET https://api.getbyrd.com/v3/picks
Request Headers
Authorization: Bearer token-from >Authentication
Content-Type: application/json
User-Agent: your user-agent >How to call the APIs
Query params
You can filter the list by different fields combining them depending on your needs. The most frequent are:
| Field | Type | Description |
|---|---|---|
| shipment_ids | string | Get all the picks for specific shipment ids. |
Pagination
By sending these parameters you can get the result in different pages:
| Field | Type | Description |
|---|---|---|
| per_page | string | Items per page Default is 250 |
| page | string | It returns only that page |
| sort_by | string | It sorts the response by this field |
| sort_order | string | It sorts the response ascending or descending depending on this value It accepts asc and desc |
Successful response example
{
"data": [
{
"quantity": 2,
"product": {
"barcode": "1234567890",
"id": "product_id",
"name": "Awsome product",
"sku": "SKU-A"
},
"warehouse_id": "warehouse_id",
"id": "pick_id",
"packaging_unit": null,
"reservation": false,
"shipment_id": "shipment_id",
"storage": {
"lot": {
"expiry_date": "2024-12-31",
"id": "lot_id",
"lot_number": "ABC1234"
},
"bsid": "BSID_STORAGE",
"shelf_identifier": "SH-MS-10",
"id": "storage_id"
},
"container_code": null,
"total_items": 2
},
{
"quantity": 1,
"product": {
"barcode": "product_barcode",
"id": "product_id",
"name": "Awsome product B",
"sku": "SKU-B"
},
"warehouse_id": "warehouse_id",
"id": "pick_id",
"packaging_unit": null,
"reservation": false,
"shipment_id": "shipment_id",
"storage": {
"lot": {
"expiry_date": "2024-12-31",
"id": "lot_id",
"lot_number": "ABC1234"
},
"bsid": "BSID_STORAGE_B",
"shelf_identifier": "SH-MS-10_B",
"id": "storage_id"
},
"container_code": null,
"total_items": 1
}
]
}Lot information data format
The picks data contains a section called storage. Under this section you will
find information regarding the storage that the SKU was picked from including
the lot information. This information is only available for shipments after
status packaging (packaged, sent and delivered).
Lot fields
| Field | Description |
|---|---|
| lot_number | The lot number the product was picked from. |
| expiry_date | The expiry date of the lot if tracked (null otherwise). |
| id | The internal id in byrd of this lot. |
The following code is an example of the storage field. This example shows only a the relevant fields. A complete example can be found in the documentation of the response of the request.
{
"storage": {
"lot": {
"expiry_date": "2024-12-31",
"id": "lot_id",
"lot_number": "ABC1234"
}
}
}Updated 28 days ago
